de.esprit.netsuite.server.permission

## Class PermissionEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.permission.PermissionEntry

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<PermissionEntry>
  Direct Known Subclasses:
    GroupPermissionEntry, UserPermissionEntry

      public abstract class PermissionEntry
      extends TransferableObject
      implements java.lang.Comparable<PermissionEntry>

  This class defines a user or group permission. A permission is a particular action, that can be executed on a particular object by a particular user/group. Note that `owner` and `objectName` serve as primary key of an entry.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PermissionEntry(java.lang.String objectName, java.lang.String userOrGroupName, java.lang.String[] permissions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkIsPermissionSupported(PermissionDefinition obj, EspritPermission permission)`
    `int` | `compareTo(PermissionEntry other)` Compares by primary key [owner, objectName].
    `boolean` | `equals(java.lang.Object obj)` Compares the primary key which is [owner, objectName].
    `java.lang.String` | `getObjectName()`
    `java.lang.String` | `getOwner()`
    `java.lang.String[]` | `getPermissions()`
    `int` | `hashCode()`
    `boolean` | `matches(java.lang.String name, java.lang.String objectName, java.lang.String permission)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionEntry

          protected PermissionEntry(java.lang.String objectName,
                         java.lang.String userOrGroupName,
                         java.lang.String[] permissions)

  - ### Method Detail

    - #### getOwner

          public final java.lang.String getOwner()

    - #### getObjectName

          public final java.lang.String getObjectName()

    - #### getPermissions

          public final java.lang.String[] getPermissions()

    - #### matches

          public final boolean matches(java.lang.String name,
                        java.lang.String objectName,
                        java.lang.String permission)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Compares the primary key which is [owner, objectName].
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public final int compareTo(PermissionEntry other)

      Compares by primary key [owner, objectName].
      Specified by:
        `compareTo` in interface `java.lang.Comparable<PermissionEntry>`

    - #### toString

          public final ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public final DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### checkIsPermissionSupported

          public static void checkIsPermissionSupported(PermissionDefinition obj,
                                        EspritPermission permission)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.